/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Radiotherapy Registration Workitem Definition
 */
public enum EnumCM_RadiotherapyRegistrationWorkitemDefinition 
{
	//CID  9243 Radiotherapy Registration Workitem Definition
	RT_PATIENT_POSITION_REGISTRATION_SINGLE_PLANE("RT Patient Position Registration, single plane"),
	RT_PATIENT_POSITION_REGISTRATION_DUAL_PLANE("RT Patient Position Registration, dual plane"),
	RT_PATIENT_POSITION_REGISTRATION_3D_CT_GENERAL("RT Patient Position Registration, 3D CT general"),
	RT_PATIENT_POSITION_REGISTRATION_3D_CT_MARKER_BASED("RT Patient Position Registration, 3D CT marker-based"),
	RT_PATIENT_POSITION_REGISTRATION_3D_CT_VOLUME_BASED("RT Patient Position Registration, 3D CT volume-based"),
	RT_PATIENT_POSITION_REGISTRATION_3D_ON_2D_REFERENCE("RT Patient Position Registration, 3D on 2D reference"),
	RT_PATIENT_POSITION_REGISTRATION_2D_ON_3D_REFERENCE("RT Patient Position Registration, 2D on 3D reference"),
	RT_PATIENT_POSITION_REGISTRATION_OPTICAL("RT Patient Position Registration, Optical"),
	RT_PATIENT_POSITION_REGISTRATION_ULTRASOUND("RT Patient Position Registration, Ultrasound"),
	RT_PATIENT_POSITION_REGISTRATION_SPATIAL_FIDUCIALS("RT Patient Position Registration, Spatial Fiducials");	

	private String value;
	
	EnumCM_RadiotherapyRegistrationWorkitemDefinition(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
